
# 05 **E-TEXTILES**

## **RESEARCH**

**KNITTED KEYBOARD II**

<iframe width="560" height="315" src="https://www.youtube.com/embed/4j4AG1W-DgE?si=ych5vrr1CIIg8e5u" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" allowfullscreen></iframe>

**TAPIS MAGIQUE**

<iframe width="560" height="315" src="https://www.youtube.com/embed/h8DvpOKlJ1I?si=T58mbLDUFk4BtO2v" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" allowfullscreen></iframe>

**CHROMOSONIC**

Chromosonic is an experimental smart textile designed by Hungarian designer [Judit Eszter Karpati](https://ejtech.studio/ABOUT). It changes colours and pattersn using Arduino open-source platform.

<iframe title="vimeo-player" src="https://player.vimeo.com/video/91989013?h=7477b06192" width="560" height="315" frameborder="0"    allowfullscreen></iframe>

## **BASIC ELECTRONIC CONCEPTS**

<iframe width="560" height="315" src="https://www.youtube.com/embed/JEQjljQcQr8?si=Tlvati9AB2UTpLbV" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" allowfullscreen></iframe>

**Basic Electronic Circuit**

![electronical circuits](../images/week05/led-schematic-diagram2-800x700.jpeg){ width=600}

**Key Words**

**Circuit**: A complete circular path that electricity flows through.

**Current**: A flow of charged particles, such as electrons or ions, moving through an electrical conductor or space.

**Resistance**: A measure of the opposition to current flow in an electrical circuit. Measured in **Ohms**(Ω).

**Trace**: A pathway for electricity to flow.

**Voltage**: THe pressure from an electrical circuit's power source that pushes charged electrons (current) through a conducting loop, enabling them to do work such as illuminating a light.

## **ELECTRONICAL SYMBOLS AND TERMS**

![electronical symbols](../images/week05/esymbols.png){ width=1000}

**Resister**:An electrical device which resists current flow regardless of frequency. Basic unit of measurement is **Ohm**.

**Capacitor**: A pair of parallel "plates" separated by an insulator (the dielectric). It stores an electric charge, and tends to pass higher frequencies more readily than low frequencies. Does not pass direct current, and acts as an insulator. Electrically it is the opposite to an inductor. Basic unit of measurement is the Farad, but is typically measured in **micro-farads** (uF = 1 x 10-6F) or nano-farads (nF - 1 x 10-9 F)

**Diode**: A semiconductor device that essentially acts as a one-way switch for current. It allows current to flow easily in one direction, but severely restricts current from flowing in the opposite direction.

**Transistor**: A miniature semiconductor that regulates or controls current or voltage flow in addition amplifying and generating these electrical signals and acting as a switch/gate for them. 

**Cell**: one section of a battery.

![electronical symbols](../images/week05/esymbols2.png){ width=1000}

**Ground**: A reference point that carries a voltage of 0V. Voltage measurements are relative measurements.

**Fuse**: A safety device that operates to provide overcurrent protection of an electrical circuit.

**Circuit Breaker**: A switch that automatically interrupts the current of an overloaded electric circuit, ground faults, or short circuits.

**Inductor**: A coil of wire which exhibits a resistance to any change of amplitude or direction of current flow through itself. Inductance is inherent in any conductor, but is "concentrated" by winding into a coil. An inductor tends to pass low frequencies more readily than high frequencies. Electrically it is the opposite of a capacitor. Basic unit of measurement is the **Henry** (H), in crossover networks it will typically be measured in **milli-henrys** (mH = 1 x 10-3H) and for RF micro-henrys (uH) are common.

**Transformer**: A passive component that transfers electrical energy from one electrical circuit to another circuit, or multiple circuits. It steps up or steps down voltage.

**Relay**： A switch that uses electromagnetism to convert small electrical stimuli into larger currents. 

**Generator**:  A machine which transforms mechanical energy or magnetic energy into electric energy.

## **DIGITAL CIRCUIT**

Digital Circuit is a circuit where the signal must be one of two discrete levels. It's discontinued and acts like a switch where each level is interpreted as one of two different states,for example, on/off, 0/1, true/false. 

![knit](../images/week05/509.jpg){ width=1000}

My goal for this week is to make a knitted scarf with the two different types of circuits. For the digital part I knitted it with two regular knitting yarns and a punch card with pattern. The digital circuit will then be added on the scarf. I also knitted two covers to hide the batteries.

![knit](../images/week05/502.jpg){ width=1000}

![process](../images/week05/501-min.jpg){ width=1000}

I had multiple fails with creating a path for the electricity to flow smoothly. So for this one I really want to build a strong connection between the LED and the battery. I initially tried with only using the conductive beads and conductive threads. It worked but the resistance was really high, so I tried conductive tape on the other side to see if it would work better, and it did. In the end I made both sides of the circuits combining beads and tape together, and I used a safety as my switch.

<div style="padding:81.48% 0 0 0;position:relative;"><iframe src="https://player.vimeo.com/video/877200884?badge=0&amp;autopause=0&amp;quality_selector=1&amp;progress_bar=1&amp;player_id=0&amp;app_id=58479" frameborder="0" allow="autoplay; fullscreen; picture-in-picture" style="position:absolute;top:0;left:0;width:100%;height:100%;" title="Digital Sensor"></iframe></div><script src="https://player.vimeo.com/api/player.js"></script>


**FAILED ATTEMPT**

![knit](../images/week05/508.jpg){ width=1000}

This flower sample was one of my failed samples. I built the circuits with only conductive threads. The problem was that I had to press where I put the battery really hard for the LED to turn on, although my snap buttons (the switch) was closed. I think the reason was because the pink felt fabric I used was quite thick, and the thread was too tight so it went a bit in the fabric, not being able to make contact with the battery properly (short circuit).


## **ANALOG CIRCUIT**

Different from digital circuit, analog signals have continuous electrical signals.

![knit](../images/week05/503.jpg){ width=1000}

I tried knitting with a knitting nancy, with a regular yarn and a conductive thread. It was not as easy as I thought as the tension was a bit tricky to control. I only managed to knit a tiny bit after half an hour so I switched back to the knitting machine again.

<div style="padding:75% 0 0 0;position:relative;"><iframe src="https://player.vimeo.com/video/877200067?badge=0&amp;autopause=0&amp;quality_selector=1&amp;progress_bar=1&amp;player_id=0&amp;app_id=58479" frameborder="0" allow="autoplay; fullscreen; picture-in-picture" style="position:absolute;top:0;left:0;width:100%;height:100%;" title="Analog Sensor"></iframe></div><script src="https://player.vimeo.com/api/player.js"></script>

This is a lace knitting sample with a regular knitting yarn and a conductive yarn. But I guess because of the lace pattern (holes) the resistance was really high. 

## **ARDUINO**

![knit](../images/week05/505.jpg){ width=1000}

This is a knit sample I worked collectively with [Ray](https://class.textile-academy.org/2024/martina-fendi/) and [Riley](https://class.textile-academy.org/2024/riley-cox/)

*Pictures by [Ray](https://class.textile-academy.org/2024/martina-fendi/).*

<iframe width="1000" height="500" src="https://www.youtube.com/embed/7Q5kZ0tz3AI?si=pf0Da_Kc1y_U9K4w" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" allowfullscreen></iframe>

*Video by [Ray](https://class.textile-academy.org/2024/martina-fendi/).*

This is the code we get from the Arduino.
		
**Easiest Code for Analog Read**

        // the setup routine runs once when you press reset:
            void setup() {
        // initialize serial communication at 9600 bits per second:
        Serial.begin(9600);
        }

            // the loop routine runs over and over again forever:
            void loop() {
            // read the input on analog pin 0:
            int sensorValue = analogRead(A0);
            // print out the value you read:
            Serial.println(sensorValue);
            delay(100);  // delay in between reads for stability
            }
**Modified Resistance Measurement Circuit** (with a 9.5k ohm resistor and with custom lower and upper resistance range)

    /*
    Resistance Measurement - www.circuits4you.com
    Reads an analog input on pin 0, converts it to resistance, and prints the result to the serial monitor.
      Using a 9,5k ohm resistor as known resistor
    */
    int ledPin = 5;  // LED connected to digital pin 9

        int lowerBoundResistance = 500;
        int upperBoundResistance = 1500;

        // the setup routine runs once when you press reset:
        void setup() {
        // initialize serial communication at 9600 bits per second:
        Serial.begin(9600);
        }

        // the loop routine runs over and over again forever:
        void loop() {
        // read the input on analog pin 0:
        int sensorValue = analogRead(A0);

            // Convert the analog reading (which goes from 0 - 1023) to a voltage (0 - 5V):
            float voltage = sensorValue * (5.0 / 1024.0);

            int resistorvalue = 9500; 
            float I = voltage / resistorvalue;
            float VRx = 5 - voltage;
            float Rx = VRx / I;
            Rx = (5 - voltage) / I;

            int mappedValue = map(Rx, lowerBoundResistance, upperBoundResistance, 0, 255);
            mappedValue = constrain(mappedValue, 0, 255);

        // print out the value you read:
        Serial.print("Resistance:");
         Serial.print(Rx);
         Serial.print(" Ohms");
         Serial.print(" and mapped value is ");
         Serial.println(mappedValue);
        analogWrite(ledPin, mappedValue);
         delay(100);
        }
		

<div style="padding:75% 0 0 0;position:relative;"><iframe src="https://player.vimeo.com/video/877385332?badge=0&amp;autopause=0&amp;quality_selector=1&amp;progress_bar=1&amp;player_id=0&amp;app_id=58479" frameborder="0" allow="autoplay; fullscreen; picture-in-picture" style="position:absolute;top:0;left:0;width:100%;height:100%;" title="E-Textiles by Michelle Vosson"></iframe></div><script src="https://player.vimeo.com/api/player.js"></script>

This is an e-textile sample by Michelle Vossen where the closed loop electrical signals send the computer either a keyboard stroke or mouse click signal using [Makey Makey](https://makeymakey.com/).


## **TOOLS**

  - Conductive Tape
  - Conductive Beads
  - Conductive Yarn
  - Regular Yarn
  - Batteries
  - LED
  - Knitting Nancy
  - Knitting Machine
  - [Arduino IDE](http://class.textile-academy.org)
  - [Makey Makey](https://makeymakey.com/)