# 08 **WEARABLES**

## **RESEARCH**

I'm interested in making my own fabric speakers for this week so I looked into how speakers work.

<iframe width="560" height="315" src="https://www.youtube.com/embed/lTkzxfIX4EY?si=IVX1lFddQz63a3wq" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" allowfullscreen></iframe>

And whether or not speaker polarity impacts sound quality. ( the answer is no!)

<iframe width="560" height="315" src="https://www.youtube.com/embed/EeKT4yD3UX4?si=Oi01z-dzsmWcxZtM" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" allowfullscreen></iframe>

I still have some things left unclear from the e-textiles week so some videos for myself to understand better the function of different components in electronics.

<iframe width="560" height="315" src="https://www.youtube.com/embed/J4oO7PT_nzQ?si=zzO-HD6ZQ0Yeh0hS" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" allowfullscreen></iframe>

A **transistor** is a miniature semiconductor that regulates or controls current or voltage flow in addition amplifying and generating these electrical signals and acting as a switch/gate for them. 

When working as an amplifier, a transistor transforms a small input current into a bigger output current. As a switch, it can be in one of two distinct states -- on or off -- to control the flow of electronic signals through an electrical circuit or electronic device.

<iframe width="560" height="315" src="https://www.youtube.com/embed/DYcLFHgVCn0?si=ymtls2YBU505b7AW" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" allowfullscreen></iframe>

How do you know which resistor to use:[Types of Resistors and How To Choose One](https://www.build-electronic-circuits.com/types-of-resistors/)

## **ARDUINO**

<iframe width="560" height="315" src="https://www.youtube.com/embed/waOk9VtkCqw?si=O_yUfj_Uizh3GiEH" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" allowfullscreen></iframe>

[Arduino Language](https://www.arduino.cc/reference/en/) for coding.

### **ARDUINO BOARD**

Arduino UNO is a low-cost, flexible, and easy-to-use programmable open-source microcontroller board that can be integrated into a variety of electronic projects. This board can be interfaced with other Arduino boards, Arduino shields, Raspberry Pi boards and can control relays, LEDs, servos, and motors as an output.

![Arduino BOARD](../images/week08/Arduino-Components.png){ width=1000 }

### **BREADBOARD**

A breadboard is a plastic piece with conductive channels. It’s a solder-less way to connect wires, sensors, and devices to these ports to create prototypes, devices, and electronic circuits.

![BREADBOARD](../images/week08/12615-02_Full_Size_Breadboard_Split_Power_Rails.jpeg){ width=1000 }

Breadboards are composed of 3 parts:

1. Horizontal Rows (yellow and green lines)

2. Vertical Columns

3. Power (red) /Ground (blue) Rails



![BREADBOARD](../images/week08/breadboard-vertical-power.webp){ width=1000 }

The middle divider separates both sides. So if wire power and ground to one side of the breadboard, you will also need to power/ground the other side.


![BREADBOARD](../images/week08/breadboard-horizontal-rows.webp){ width=1000 }

When wiring a breadboard, be sure that the wires lay flat and are attached neatly to the board. It is important to label wires that are attached to important sensors or actuators.

![BREADBOARD](../images/week08/breadboard-power-wiring.jpeg){ width=1000 }

There are two sets of power rails that run along the edges of the breadboard. Rails are marked black/blue for ground (-) and red for power (+).

Each rail is independent of another, so you will have to connect the left positive rail to the right positive rail and the left negative rail to the right negative rail to supply power to both sides of the breadboard.

Once you’ve configured the power rails on the breadboard, you can use it to expand ports on a microcontroller, such as an Arduino by:

1. Connect a red wire from the Arduino Uno 5V to the breadboard + power rail.

2. Connect a black wire from the Arduino GND (ground) to the breadboard – ground rail.

**Note**: It is common to use red for POWER and black or blue for GROUND, but you don't have to use red and black wires. Whichever colors you use, be consistent so that you don’t mix the POWER and GROUND channels.

<iframe width="560" height="315" src="https://www.youtube.com/embed/Ia7gkgSor78?si=IVAY76wFgwWVrqc1" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" allowfullscreen></iframe>


**NOTES FROM [EMMA'S TUTORIAL](https://docs.google.com/presentation/d/1wo3i2khO01wCOXhJ0gZDMFHkmKSMPv4ceq1w1Mplnu0/edit)**

**If you connect an input you have to select the right pin depending on the sensor**

Digital sensors:all the 10 pins are good

Analog sensors: can be connected only the A0/A5 pins

**If you connect an output  you have to select the right pin depending on how you want to control the device**

Digital way: all the IO pins are good

Analog way: you can use only the PWM pins (~)

**PROGRAMMING WITH ARDUINO UNO**

<div style="padding:56.25% 0 0 0;position:relative;"><iframe src="https://player.vimeo.com/video/884249973?badge=0&amp;autopause=0&amp;quality_selector=1&amp;player_id=0&amp;app_id=58479" frameborder="0" allow="autoplay; fullscreen; picture-in-picture" style="position:absolute;top:0;left:0;width:100%;height:100%;" title="IMG_2258"></iframe></div><script src="https://player.vimeo.com/api/player.js"></script>

**CODE**

```

int signal_pin = 3; //define the pin where the Arduino pin (signal) is connected

void setup() {

pinMode(signal_pin, OUTPUT); //define pin of the Led as an output
//pinMode(pin, OUTPUT);

//pinMode(pin, INPUT);
//pinMode(pin, INPUT_PULLUP);
}

void loop() {

digitalWrite(signal_pin, HIGH); //turn the Led on   
//digitalWrite(pin, HIGH/LOW);
//HIGH -> 5V
 //LOW -> 0V ground
 delay(1000);                 //wait 1000millisecond 
 digitalWrite(led_pin, LOW);  //turn off 
 delay(1000);                 //wait 1000millisecond

}

```

## **ATTINY 85**

ATtiny85 comes with a serial peripheral interface (SPI) that is mainly used for communication between the microcontroller and other peripheral devices such as SD cards, sensors, and shift registers.

![ATTINY](../images/week08/attiny85-pinout-1-768x432.webp){ width=1000 }

I followed this tutorial to program my ATtiny: [How to Program an Attiny85 From an Arduino Uno](https://www.instructables.com/How-to-Program-an-Attiny85-From-an-Arduino-Uno/) and you can find all the information about the programming process there.


<div style="padding:56.25% 0 0 0;position:relative;"><iframe src="https://player.vimeo.com/video/884248390?badge=0&amp;autopause=0&amp;quality_selector=1&amp;player_id=0&amp;app_id=58479" frameborder="0" allow="autoplay; fullscreen; picture-in-picture" style="position:absolute;top:0;left:0;width:100%;height:100%;" title="IMG_2291"></iframe></div><script src="https://player.vimeo.com/api/player.js"></script>

**CODE**

```
// the setup function runs once when you press reset or power the board
void setup() {
  // initialize digital pin LED_BUILTIN as an output.
  pinMode(LED_BUILTIN, OUTPUT);
}

// the loop function runs over and over again forever
void loop() {
  digitalWrite(LED_BUILTIN, HIGH);  // turn the LED on (HIGH is the voltage level)
  delay(1000);                      // wait for a second
  digitalWrite(LED_BUILTIN, LOW);   // turn the LED off by making the voltage LOW
  delay(1000);                      // wait for a second
}

```

**TESTING THE CIRCUIT BY CONNECTING IT TO A 3V BATTERY**

<div style="padding:64.14% 0 0 0;position:relative;"><iframe src="https://player.vimeo.com/video/884249196?badge=0&amp;autopause=0&amp;quality_selector=1&amp;player_id=0&amp;app_id=58479" frameborder="0" allow="autoplay; fullscreen; picture-in-picture" style="position:absolute;top:0;left:0;width:100%;height:100%;" title="ATTINY"></iframe></div><script src="https://player.vimeo.com/api/player.js"></script>



## **SPEAKER**

### **MAKING AN AUDIO AMPLIFER**

I followed Liza's tutorial on making a [Custom Mono Amp for Textile Speakers](http://thesoftcircuiteer.net/custom-mono-amp-for-textile-speakers/).

![amplifier](../images/week08/amplifier.jpg){ width=1000 }

**TOOLS**

1. Diagonal snips

2. Wire stripper

3. Soldering iron

4. Lighter

**MATERIALS**

1. Lipo socket

2. Adafruit PAM8302

3. Audio cable

4. Alligator clip

5. Heat shrink (different sizes)

6. Solder

7. Lipo battery

**CONSTRUCTION**

1. LiPo Battery Holder


**TESTING MY AUDIO AMP**

I noticed that, in order to get optimal sound quality:

1. your original sound source has to be high quality

2. your volume shouldn't be too high

3. bass creates a lot of buzzing sound

4. classical music normally works really well!

<div style="padding:56.25% 0 0 0;position:relative;"><iframe src="https://player.vimeo.com/video/884257961?badge=0&amp;autopause=0&amp;quality_selector=1&amp;player_id=0&amp;app_id=58479" frameborder="0" allow="autoplay; fullscreen; picture-in-picture" style="position:absolute;top:0;left:0;width:100%;height:100%;" title="SPEAKER"></iframe></div><script src="https://player.vimeo.com/api/player.js"></script>

### **INSPIRATION**

![speaker1](../images/week08/insp.jpg){ width=1000 }

I really like these speakers by [Kobakant](https://www.kobakant.at/DIY/?p=2936) and would like to make my own fabric speakers.

### **1ST SPEAKER**

I first drew the spiral on Rhino with the shape of a rose in my mind and ribboned it to get a speaker, and then I saved it into a dxf file and uploaded it onto [Cricut Design Space](https://design.cricut.com/#/).

![speaker1](../images/week08/sketch1.jpg){ width=1000 }

I tried to cut out my first speaker with Cricut Maker 3. The material I used was copper foil with adhesive glue. I thought it would be easier for transfering the speaker onto my fabric later, but it didn't work because the lines were too thin and got tangled in the nozzle.

<div style="padding:75% 0 0 0;position:relative;"><iframe src="https://player.vimeo.com/video/884254568?badge=0&amp;autopause=0&amp;quality_selector=1&amp;player_id=0&amp;app_id=58479" frameborder="0" allow="autoplay; fullscreen; picture-in-picture" style="position:absolute;top:0;left:0;width:100%;height:100%;" title="IMG_2251"></iframe></div><script src="https://player.vimeo.com/api/player.js"></script>

I sketched another model which is wider, and this time it worked with Cricut. But the speaker still didn't work. I tested the connection with a multimeter and realized the electricity doesn't pass through the entire circuit because of the creases on the foil. And this material breaks too easily. So a speaker with copper foil was a bad idea. 

![speaker1](../images/week08/speaker1.jpg){ width=1000 }

### **2ND SPEAKER**

![speaker2](../images/week08/Screenshot%20(1).png){ width=1000 }

Moving on from copper foil I used a piece of conductive fabric. But the same issue happened when cutting with Cricut.

<div style="padding:75.1% 0 0 0;position:relative;"><iframe src="https://player.vimeo.com/video/884256237?badge=0&amp;autopause=0&amp;quality_selector=1&amp;player_id=0&amp;app_id=58479" frameborder="0" allow="autoplay; fullscreen; picture-in-picture" style="position:absolute;top:0;left:0;width:100%;height:100%;" title="IMG_2414 2"></iframe></div><script src="https://player.vimeo.com/api/player.js"></script>

In the end I decided to it manually... 

I glued the speaker onto my fabric with a piece of vliesofix. It was a good idea to pin the speaker in place when ironing. 

![speaker2](../images/week08/speaker2.jpg){ width=1000 }

**FINAL SWATCH**

**A good resistance should be between 4Ω to 8Ω**

![speaker2](../images/week08/SPEAKER3.jpg){ width=1000 }

I don't have a video of it playing music because it requires a big magnet. But during the discussion we thought it can also function as a nice heating pad for experimenting with thermalchromic ink. I will give it a try soon!

![speaker2](../images/week08/2.jpg){ width=1000 }




#### **FABRICATION FILES**

[1st Speaker File](../files/WEEK8/first.dxf)

## **MOTION**


### **DRIVER CIRCUIT**

To follow Emma's tutorial on making a flipping wing we first prepared a power circuit.

A driver is a circuit or component used to control another circuit or component.They are usually used **to regulate current flowing** through a circuit or to control other factors such as other components and some other devices in the circuit. The term is often used, for example, for a specialized integrated circuit that controls high-power switches in switched-mode power converters.

![speaker2](../images/week08/1.jpg){ width=1000 }

I made a mistake when I was making the circuit. So **make sure your diode is put in the right direction**.


**TOOLS:**

	- A piece of thick paper or card
	- Copper tape
	- A piece of regular tape
	- A MOSFET (ours was an IRF530)
	- Soldering iron and solder
	- Pliers to bend the legs of the MOSFET

If you don't have the materials to make the driver circuit on the breadboard, you can still build the circuit on the breadboard.

![DRIVERCIRCUIT](../images/week08/circuit_driver_mosfet_bb.png){ width=1000 }


### **FLIPPING WING**

**MAKING A COIL** (tutorial pictures from [Emma's presentation](https://docs.google.com/presentation/d/1wo3i2khO01wCOXhJ0gZDMFHkmKSMPv4ceq1w1Mplnu0/edit))

![coil](../images/week08/COIL.jpg){ width=1000 }

**CONNECTING YOUR DRIVER TO ARDUINO** (tutorial pictures from [Emma's presentation](https://docs.google.com/presentation/d/1wo3i2khO01wCOXhJ0gZDMFHkmKSMPv4ceq1w1Mplnu0/edit))

![DRIVERCIRCUIT](../images/week08/Untitled-8%20copy.jpg){ width=1000 }

For a while my coil didn't work and it turned out that the aligator clips could't make enough contact with the wires. So I soldered the wires on another 2 pieces of metal for a better connection.

<div style="padding:75% 0 0 0;position:relative;"><iframe src="https://player.vimeo.com/video/884255053?badge=0&amp;autopause=0&amp;quality_selector=1&amp;player_id=0&amp;app_id=58479" frameborder="0" allow="autoplay; fullscreen; picture-in-picture" style="position:absolute;top:0;left:0;width:100%;height:100%;" title="IMG_2286 2"></iframe></div><script src="https://player.vimeo.com/api/player.js"></script>

### **BOUNCING SPIRAL**

And the metal pieces gave me the idea to connect my coil to two spiraling copper strips.

**MATERIAL**

1. 4MM Copper Strip

2. Copper wire


<div style="padding:75% 0 0 0;position:relative;"><iframe src="https://player.vimeo.com/video/884260038?badge=0&amp;autopause=0&amp;quality_selector=1&amp;player_id=0&amp;app_id=58479" frameborder="0" allow="autoplay; fullscreen; picture-in-picture" style="position:absolute;top:0;left:0;width:100%;height:100%;" title="MOTION"></iframe></div><script src="https://player.vimeo.com/api/player.js"></script>


## **LED**

I would like to make a copper bracelet with a blinking led using the ATtiny that I programmed.

![coil](../images/week08/bracelet.jpg){ width=1000 }

**MATERIALS**

1. 4mm Copper Strips
2. Snap Buttons
3. ATtiny
4. 3V Battery
5. LED
6. SOLER
7. Battery socket
8. Wires
9. Resistor

**TOOLS**

1. Soldering Iron
2. Wire Cutter

**Making my battery pack for connecting it to my bracelet later.**

<div style="padding:59.9% 0 0 0;position:relative;"><iframe src="https://player.vimeo.com/video/884262272?badge=0&amp;autopause=0&amp;quality_selector=1&amp;player_id=0&amp;app_id=58479" frameborder="0" allow="autoplay; fullscreen; picture-in-picture" style="position:absolute;top:0;left:0;width:100%;height:100%;" title="IMG_2433"></iframe></div><script src="https://player.vimeo.com/api/player.js"></script>

**SCHEMATIC DIAGRAM**

I decided to add a digital switch by adding two snap buttons.

![diagram](../images/week08/diagram1.jpg){ width=1000 }

**TESTING IT OUT IN THE DARK**

I took out the resistor because the LED was giving very dim light. I first thought the resistance was high because the LED was too old, but one of my LED leg broke very soon so I think the high resistance was caused by the almost broken LED light.

<div style="padding:62.9% 0 0 0;position:relative;"><iframe src="https://player.vimeo.com/video/884348199?badge=0&amp;autopause=0&amp;quality_selector=1&amp;player_id=0&amp;app_id=58479" frameborder="0" allow="autoplay; fullscreen; picture-in-picture" style="position:absolute;top:0;left:0;width:100%;height:100%;" title="BRACELET"></iframe></div><script src="https://player.vimeo.com/api/player.js"></script>


Here I broke the leg of the LED during my documentation. I replaced the old LED with a new one and it gives really strong light, so the blinking is less obvious here. I think bringing back the resistor is a good idea now.

<div style="padding:57.63% 0 0 0;position:relative;"><iframe src="https://player.vimeo.com/video/884349485?badge=0&amp;autopause=0&amp;quality_selector=1&amp;player_id=0&amp;app_id=58479" frameborder="0" allow="autoplay; fullscreen; picture-in-picture" style="position:absolute;top:0;left:0;width:100%;height:100%;" title="BRACELET"></iframe></div><script src="https://player.vimeo.com/api/player.js"></script>

**POWER ON**  

![bracelet](../images/week08/image00002.jpeg){ width=1000 }

**POWER OFF**  

![bracelet](../images/week08/image00001.jpeg){ width=1000 }

## **TUTORIALS**

[^1]: [Custom Mono Amp for Textile Speakers](http://thesoftcircuiteer.net/custom-mono-amp-for-textile-speakers/)
[^2]: [9 Essential Electronics Soldering Tips and Tricks for Beginners](https://www.naa.edu/soldering-tips-for-beginners/)
[^3]: [Arduino Actuator](https://arduinogetstarted.com/tutorials/arduino-actuator?utm_content=cmp-true)
[^4]: [Arduino and Outputs by Emma](https://docs.google.com/presentation/d/1wo3i2khO01wCOXhJ0gZDMFHkmKSMPv4ceq1w1Mplnu0/edit#slide=id.g247e8458d58_0_40)
[^5]: [Programming an ATTINY85](https://www.instructables.com/How-to-Program-an-Attiny85-From-an-Arduino-Uno/)
