# 10 **OPEN-SOURCE HARDWARE**

## **HACKING THE SHOPBOT**

The goal for this week is to hack the CNC milling machine and turn it into a painting tool. It's a collaboration between all the participants at the Waag and we each had our own tasks. In the slides you can see an overview of our working process.

<iframe src="https://docs.google.com/presentation/d/e/2PACX-1vRy29wfmvClIx-ZqdbynnhQty3EC5gtEb6szzT8qiBatjPh0EHXiFOHo4FPLnkKkcyGj3r_jBgoqmfg/embed?start=false&loop=false&delayms=3000" frameborder="0" width="100%" height="500" allowfullscreen="true" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>



## **RESEARCH AND INSPIRATION**

I teamed up with Ray to work on brush designs, so for research I looked at the tools that artists used for print making.

Roller stamps designed by [Pat Kim](https://www.patkimpatkim.com/). It creates a moire effect depending on the direction of your movements.

![BRUSH](../images/week10/PATKIM.jpg){ width=1000 }

[Sougwen Chung](https://sougwen.com/)'s collaborative drawings with robots.

<iframe width="1000" height="400" src="https://www.youtube.com/embed/hpEE_s0pN64?si=Eyz1hCG_S0u7YIkx" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" allowfullscreen></iframe>

## **DRAWING TOOLS**

Some tests Ray and I did to study the different strokes and movements of our tools.

### **BRUSHES**

**1ST**

Brush+Squeeze Bottle+Ecoline on Paper
![BRUSH](../images/week10/BRUSH1.jpg){ width=1000 }

**2ND**

Brush+Pipette+Ecoline on Paper
![BRUSH](../images/week10/BRUSH2.jpg){ width=1000 }

**3RD**

Brush+Ecoline on Paper
![BRUSH](../images/week10/BRUSH3.jpg){ width=1000 }

### **SPONGES**

**1ST**

Sponge+Screen Printing Ink on Paper
![SPONGE](../images/week10/SPONGE1.jpg){ width=1000 }

**2ND**

Sponge+Screen Printing Ink on Paper
![SPONGE](../images/week10/SPONGE2.jpg){ width=1000 }

**3RD**

Sponge+Screen Printing Ink on Paper
![SPONGE](../images/week10/SPONGEBRUSH1.jpg){ width=1000 }

### **SQUEEGEE**

**1ST**

Squeegee+Masking Tape+Acrylic Paint on Canvas by [Ray](https://class.textile-academy.org/2024/martina-fendi/assignments/week10/)
![SPONGE](../images/week10/SQUEEGEE1.jpg){ width=1000 }

**2ND**

Squeegee+Brush Stick+Acrylic Paint on Canvas by [Ray](https://class.textile-academy.org/2024/martina-fendi/assignments/week10/)
![SPONGE](../images/week10/SQUEEGEE2.jpg){ width=1000 }


### **MOLOTOWS**

**1ST**

Molotow+Ecoline on Paper
![MOLOTOW](../images/week10/MOLOTOW1.jpg){ width=1000 }

**2ND**

Molotow+Ecoline on Paper by [Riley](https://class.textile-academy.org/2024/riley-cox/assignments/week10/)

![MOLOTOW](../images/week10/MOLOTOW2.jpg){ width=1000 }

### **ROLLER**

**1ST**

Roller+Ecoline on Paper

![ROLLER](../images/week10/ROLLER1.jpg){ width=1000 }

### **HAIRBRUSHES**

**1ST**

Hair Brush by [Ray](https://class.textile-academy.org/2024/martina-fendi/assignments/week10/)+Screen Printing Ink on Paper
![HAIRBRUSH](../images/week10/HAIRBRUSH1.jpg){ width=1000 }

**2ND**

Hair Brush+Ecoline on Paper by [Ray](https://class.textile-academy.org/2024/martina-fendi/assignments/week10/)
![HAIRBRUSH](../images/week10/HAIRBRUSH2.jpg){ width=1000 }

### **CHILLI PEPPER**

**1ST**

Chili Pepper+Ecoline on Paper by [Ray](https://class.textile-academy.org/2024/martina-fendi/assignments/week10/)

![PEPPER](../images/week10/PEPPER1.jpg){ width=1000 }

## **PROCESS**

Experimenting with fan brushes and ecoline.

![LINER](../images/week10/brush1.jpg){ width=1000 }

Experimenting with kitchen sponge with cut-out shape of waves and screen printing ink with water.

**Note:** The screen printing ink is a very thick mixture so adding water changes the textures a lot.

![LINER](../images/week10/sponge.jpg){ width=1000 }

![LINER](../images/week10/sponge2.jpg){ width=1000 }

Experimenting with the rough side of kitchen sponge with screen printing ink with water.
![LINER](../images/week10/sponge3.jpg){ width=1000 }

Experimenting with kitchen sponge with screen printing ink without water.
![LINER](../images/week10/sponge4.jpg){ width=1000 }

Experimenting with a narrow sponge strip cut into four parts and screen printing ink with water.
![LINER](../images/week10/spongbrush.jpg){ width=1000 }

Experimenting with an irregular roller and screen printing ink with water.
![LINER](../images/week10/roller1.jpg){ width=1000 }

Experimenting with a roller and ecoline.
![LINER](../images/week10/roller2.jpg){ width=1000 }

Experimenting with an irregular roller and ecoline.
![LINER](../images/week10/roller3.jpg){ width=1000 }

Experimenting with fineliners.
![LINER](../images/week10/fineliner1.jpg){ width=1000 }

**Brushes with A Squeeze Bottle as Ink Reservoir**

![LINER](../images/week10/DRAWING.jpg){ width=1000 }

In this case the squeeze bottle is already acting like a painting tool and the brushes just interfere with the dripped ink. 

<div style="padding:56.28% 0 0 0;position:relative;"><iframe src="https://player.vimeo.com/video/887978373?badge=0&amp;autopause=0&amp;quality_selector=1&amp;player_id=0&amp;app_id=58479" frameborder="0" allow="autoplay; fullscreen; picture-in-picture" style="position:absolute;top:0;left:0;width:100%;height:100%;" title="DRIPPING INK"></iframe></div><script src="https://player.vimeo.com/api/player.js"></script>

**Brushes with Pipettes as Ink Reservoirs**

![LINER](../images/week10/DRAWING2.jpg){ width=1000 }

It's nicer to have the pipettes sitting on top of the brushes and draw while squeezing the pipettes. 
<div style="padding:56.27% 0 0 0;position:relative;"><iframe src="https://player.vimeo.com/video/887979223?badge=0&amp;autopause=0&amp;quality_selector=1&amp;player_id=0&amp;app_id=58479" frameborder="0" allow="autoplay; fullscreen; picture-in-picture" style="position:absolute;top:0;left:0;width:100%;height:100%;" title="DRIPPING INK"></iframe></div><script src="https://player.vimeo.com/api/player.js"></script>


## **FINAL OUTCOME**

<div style="padding:56.25% 0 0 0;position:relative;"><iframe src="https://player.vimeo.com/video/889082048?badge=0&amp;autopause=0&amp;player_id=0&amp;app_id=58479" frameborder="0" allow="autoplay; fullscreen; picture-in-picture" style="position:absolute;top:0;left:0;width:100%;height:100%;" title="TIMELAPSE"></iframe></div><script src="https://player.vimeo.com/api/player.js"></script>


Asli added some pausing when creating the g-code.

<div style="padding:56.21% 0 0 0;position:relative;"><iframe src="https://player.vimeo.com/video/889081769?badge=0&amp;autopause=0&amp;player_id=0&amp;app_id=58479" frameborder="0" allow="autoplay; fullscreen; picture-in-picture" style="position:absolute;top:0;left:0;width:100%;height:100%;" title="PAUSING"></iframe></div><script src="https://player.vimeo.com/api/player.js"></script>

This is the server motor designed by Riley in motion.

<div style="padding:56.25% 0 0 0;position:relative;"><iframe src="https://player.vimeo.com/video/889082187?badge=0&amp;autopause=0&amp;player_id=0&amp;app_id=58479" frameborder="0" allow="autoplay; fullscreen; picture-in-picture" style="position:absolute;top:0;left:0;width:100%;height:100%;" title="SERVER MOTOR"></iframe></div><script src="https://player.vimeo.com/api/player.js"></script>